
#language: ru

@SalesOfProducts

Функционал: 012. SalesOfProducts. Проверка контроля изменения планов отгрузки и остатков заказов в планах отгрузки

Сценарий: 012.1. SalesOfProducts. Проверка контроля изменения планов отгрузки - количество в плане, имеющем задание на доставку, не может уменьшаться
	
	Дано Я подключаюсь под "Создание планов отгрузки"
	Дано я устанавливаю текущему сеансу заголовок приложения "13.012. Реализация товаров"
	И В командном интерфейсе я выбираю 'Склад и доставка' 'Планы отгрузки'
	Тогда открылось окно 'Планы отгрузки'
	И в таблице "Список" я перехожу к строке:
		| 'Дата отгрузки' | 'Склад'     |
		| '11.10.2019'    | 'Сырная ГП' |
	И в таблице "Список" я выбираю текущую строку
	Тогда открылось окно 'План отгрузки * от * *'
	И я перехожу к закладке "Товары"
	И в таблице "Товары" я перехожу к строке:
		| 'Номенклатура'   |
		| 'Сыр Адыгейский' |
	И в таблице "Товары" в поле 'Количество' я ввожу текст '8,000'
	И в таблице "Товары" я завершаю редактирование строки
	И в поле 'Комментарий' я ввожу текст 'Проверка контроля остатков планов отгрузки'
	И я нажимаю на кнопку 'Провести'
	Тогда открылось окно '1С:Предприятие'
	И я нажимаю на кнопку с именем 'OK'
	Тогда открылось окно 'План отгрузки * от * *'
	Тогда в логе сообщений TestClient есть строка по шаблону "*Превышен остаток на складе Сырная ГП на Вес: 2 кг; Мест: 2,246 м3.*"
	И Я закрываю окно 'План отгрузки * от * *'
	Тогда открылось окно '1С:Предприятие'
	И я нажимаю на кнопку 'Нет'
	И я жду закрытия окна 'План отгрузки * от *' в течение 20 секунд
	Тогда открылось окно 'Планы отгрузки'
	И Я закрываю окно 'Планы отгрузки'

Сценарий: 012.2. SalesOfProducts. Проверка остатков заказа клиента в плане отгрузки - количество не может увеличиваться

	И В командном интерфейсе я выбираю 'Склад и доставка' 'Планы отгрузки'
	Тогда открылось окно 'Планы отгрузки'
	И в таблице "Список" я перехожу к строке:
		| 'Комментарий'                          |
		| 'План отгрузки для реализации вручную' |
	И в таблице "Список" я выбираю текущую строку
	Тогда открылось окно 'План отгрузки * от * *'
	И я перехожу к закладке "Товары"
	И в таблице "Товары" я перехожу к строке:
		| 'Номенклатура'   |
		| 'Сыр Адыгейский' |
	И в таблице "Товары" в поле 'Количество' я ввожу текст '12,000'
	И в таблице "Товары" я завершаю редактирование строки
	И я нажимаю на кнопку 'Провести'
	Тогда открылось окно '1С:Предприятие'
	И я нажимаю на кнопку с именем 'OK'
	Тогда открылось окно 'План отгрузки * от * *'
	Тогда в логе сообщений TestClient есть строка по шаблону "*Превышен остаток на складе Сырная ГП для Заказ клиента * от 13.10.2019 [Создан] на 2 кг.*"
	И Я закрываю окно 'План отгрузки * от * *'
	Тогда открылось окно '1С:Предприятие'
	И я нажимаю на кнопку 'Нет'
	И я жду закрытия окна 'План отгрузки * от *' в течение 20 секунд
	Тогда открылось окно 'Планы отгрузки'
	И Я закрываю окно 'Планы отгрузки'

Сценарий: 012.3. SalesOfProducts. Завершение

	И я закрываю сеанс TESTCLIENT